# StatisticsFrequencyDistribution (ARX API Documentation)

org.deidentifier.arx.aggregates

## Class StatisticsFrequencyDistribution

- java.lang.Object
- - org.deidentifier.arx.aggregates.StatisticsFrequencyDistribution

-     public class StatisticsFrequencyDistribution
      extends java.lang.Object

  A frequency distribution.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `count` The total number of data values.
    `double[]` | `frequency` The corresponding frequencies.
    `java.lang.String[]` | `values` The data values, sorted.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### values

          public final java.lang.String[] values

      The data values, sorted.

    - #### frequency

          public final double[] frequency

      The corresponding frequencies.

    - #### count

          public final int count

      The total number of data values.